# /etc/profile.d/z_langfix_local.sh - fix RH'slang.sh
# $Id: //depot/ops/corp/grhat/tree/etc/profile.d/z_langfix_local.sh#4 $

# For remote connections, we assume the remote terminal can't do UTF-8
# (most can't)
# Let's comment out some of that nonsense now that UTF-8 isn't a default anymore
#if [ ! -z "$SSH_TTY" -o z"$TERM" = zscreen -o z"$TERMCANNOTDOUTF8" = zyes ]; then
if [ ! -z "$SSH_TTY" -o z"$TERM" = zscreen ]; then
    if [`echo $LANG | grep UTF | wc -l` -eq 1 ]; then
	LANG=en_US.ISO-8859-1
	export LANG
    fi
fi

# This is a hack for Eterm since it doesn't support UTF8
if [ z"$TERM" = zEterm ]; then
    # Some apps (like mutt) or computers (non linux) do not deal well with
    # TERM==Eterm, so we change that back to xterm
    TERM=xterm
    # This is an infamous trick because we get parsed at least twice 
    # (/etc/profile and /etc/bashrc), so we need to remember we were an Eterm
    TERMCANNOTDOUTF8=yes
    export TERM TERMCANNOTDOUTF8
    if [ `echo $LANG | grep UTF | wc -l` -eq 1 ]; then
	LANG=en_US.ISO-8859-1
	export LANG
    fi
fi
